Upgrade VC 2.3 VS2013 to VS2015

I would like someone to confirm the following as the "best" way to get from VC 2.3 on VS 2013 to VC 2.3 on VS 2015 on Windows 7 PC:

1. Remove VC 2.3 license.

2. Un-install VC 2.3 for VS 2013 Hotfix #1.

3. Un-install VC 2.3 for VS 2013.

4. Un-install VS 2013.

5. Install VS 2015.

6. Install VC 2.3 for VS 2015.

7. Install VC 2.3 for VS 2015 Hotfix #1.

8. Install VC 2.3 license.

Parents
  • Prior to V2.3 this would not have worked because each different version of Visual Studio being used had its own prerequisites of specific version of the C runtime. This meant that if you compiled with Visual Studio 2012 then you would have to use a 2012 version of the COBOL Server product, etc.

    Starting with V2.3 we changed this so that all flavors of Visual Studio being used all linked to one common version of the C run-time. This made it possible for use to consolidate the COBOL Server product so that there is now only one version of this product that works with any compiled COBOL module from any version of VC 2.3.

    So the answer to your question is Yes, that will work fine in 2.3.

Reply
  • Prior to V2.3 this would not have worked because each different version of Visual Studio being used had its own prerequisites of specific version of the C runtime. This meant that if you compiled with Visual Studio 2012 then you would have to use a 2012 version of the COBOL Server product, etc.

    Starting with V2.3 we changed this so that all flavors of Visual Studio being used all linked to one common version of the C run-time. This made it possible for use to consolidate the COBOL Server product so that there is now only one version of this product that works with any compiled COBOL module from any version of VC 2.3.

    So the answer to your question is Yes, that will work fine in 2.3.

Children
No Data